Package Details: rhythmbox-plugin-alternative-toolbar-git 0.r296.3fe2958-1

Git Clone URL: https://aur.archlinux.org/rhythmbox-plugin-alternative-toolbar-git.git (read-only, click to copy)
Package Base: rhythmbox-plugin-alternative-toolbar-git
Description: Replace the Rhythmbox large toolbar with a Client-Side Decorated or Compact Toolbar which can be hidden
Upstream URL: https://github.com/fossfreedom/alternative-toolbar
Licenses: GPL3
Conflicts: rhythmbox-plugin-alternative-toolbar
Provides: rhythmbox-plugin-alternative-toolbar
Submitter: mirandir
Maintainer: mirandir
Last Packager: mirandir
Votes: 20
Popularity: 0.000018
First Submitted: 2015-06-24 17:46
Last Updated: 2016-08-28 21:17

Latest Comments

« First ‹ Previous 1 2

gavsiu commented on 2016-04-28 16:06

I'm getting this when I try installing from AUR or GitHub:

==> Starting package()...
Can't exec "aclocal": No such file or directory at /usr/share/autoconf/Autom4te/FileUtils.pm line 326.
autoreconf: failed to run aclocal: No such file or directory
==> ERROR: A failure occurred in package().
Aborting...

You should add the contents of '/usr/share/aclocal/intltool.m4' to 'aclocal.m4'.

mirandir commented on 2016-01-12 15:41

@BramBonne: you're right. Added.

BramBonne commented on 2016-01-12 15:03

The issue @mrdella94 is experiencing is caused by the fact that building this plugin depends on intltool, which is not required by the package. Installing intltool fixes the issue (so I'm guessing you'll need to add it as a dependency).

mirandir commented on 2016-01-04 13:36

@mrdella94: installation works fine here, have you the base-devel group installed?

Anonymous comment on 2015-12-24 02:35

Issue with installation:

./autogen.sh: line 13: intltoolize: command not found
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ([^ \t=:+{}]+)}/ at /usr/bin/automake line 3936.
configure.ac:18: installing './compile'
configure.ac:2: installing './install-sh'
configure.ac:2: installing './missing'
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
./configure: line 3077: syntax error near unexpected token `0.50.0'
./configure: line 3077: `IT_PROG_INTLTOOL(0.50.0)'


I'm no AUR guru, so it could very well be a problem on my end too.

mirandir commented on 2015-12-21 18:26

Updated. Thanks archdria.

swiftscythe commented on 2015-12-21 16:42

PKGBUILD needs to be updated.
I managed to get it working by replacing the whole package() function with:
package() {
cd rhythmbox-plugin-alternative-toolbar
./autogen.sh --prefix=${pkgdir}/usr
make
make install
rm ${pkgdir}/usr/share/glib-2.0/schemas/gschemas.compiled
}

alvinjian commented on 2015-12-20 12:38

fail to build. log:
==> Extracting sources...
-> Creating working copy of alternative-toolbar git repo...
Switched to a new branch 'makepkg'
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Entering fakeroot environment...
==> Starting package()...
cp: cannot stat ‘alternative-toolbar.plugin’: No such file or directory
==> ERROR: A failure occurred in package().
Aborting...